Package madkit.agr

# Class OrganizationSnapshot

java.lang.Object
java.util.AbstractMap<K,V>
java.util.TreeMap<String,Map<String,Map<String,Set<AgentAddress>>>>
madkit.agr.OrganizationSnapshot

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Map<String,Map<String,Set<AgentAddress>>>>`, `NavigableMap<String,Map<String,Map<String,Set<AgentAddress>>>>`, `SortedMap<String,Map<String,Map<String,Set<AgentAddress>>>>`

public class OrganizationSnapshot extends TreeMap<String,Map<String,Map<String,Set<AgentAddress>>>>
This class is just an alias for using the underlying data structure

Since:
  MaDKit 5.3.1
Version:
  5.0
Author:
  Fabien Michel
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizationSnapshot()`

- ## Method Summary

  ### Methods inherited from class java.util.TreeMap

  `ceilingEntry, ceilingKey, clear, clone, comparator, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, merge, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, putIfAbsent, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, isEmpty, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, getOrDefault, hashCode, isEmpty, remove`

- ## Constructor Details

  - ### OrganizationSnapshot

    public OrganizationSnapshot()